// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_VALUE_BASE_FWD_H
#define OB_VALUE_BASE_FWD_H

#include <OB/Template.h>

namespace CORBA
{

class ValueBase;

} // End of namespace CORBA

void OBRelease(CORBA::ValueBase*);
void OBDuplicate(CORBA::ValueBase*);

void OBMarshal(CORBA::ValueBase*, OB::OutputStreamImpl*);
void OBUnmarshal(CORBA::ValueBase*&, OB::InputStreamImpl*);

namespace CORBA
{

typedef OB::ObjVar< ValueBase > ValueBase_var;
typedef OB::ObjOut< ValueBase > ValueBase_out;

} // End of namespace CORBA

#endif
